{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Kejue","colors":{"primary":"#E8663C","light":"#F0845E","dark":"#D14E24"},"logo":{"light":"https://mintcdn.com/kejue/2ObUTjaQylFOQGjC/logo/light.png?fit=max\u0026auto=format\u0026n=2ObUTjaQylFOQGjC\u0026q=85\u0026s=dfd84fd35a10607080f795c7b1623704","dark":"https://mintcdn.com/kejue/2ObUTjaQylFOQGjC/logo/dark.png?fit=max\u0026auto=format\u0026n=2ObUTjaQylFOQGjC\u0026q=85\u0026s=9a935421b87db169f844466e74babfa9"},"favicon":"https://mintcdn.com/kejue/2ObUTjaQylFOQGjC/favicon.svg?fit=max\u0026auto=format\u0026n=2ObUTjaQylFOQGjC\u0026q=85\u0026s=43863f06cc3513de85e758f10534f20b","api":{"playground":{}},"appearance":{"default":"system"},"footer":{"socials":{"website":"https://kejue.co"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"kejue","hasAudioNarration":false,"actualSubdomain":"kejue","customDomains":["docs.kejue.co"],"gitSource":{"type":"github","owner":"kejueai","repo":"documentation","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21b7772d20efc1fa8d43b5","collectionId":"f3005232-7199-40c7-9a68-011ecc2ee760","schemaVersion":"v2"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ae9571c49f23bb02fa9d182:success","clientVersion":"0.0.4067","searchFilterCounts":[{"language":"default","tag":"API Reference","count":49},{"language":"default","tag":"Agents","count":13},{"language":"default","tag":"Documentation","count":11},{"language":"default","tag":"Campaigns","count":11},{"language":"default","tag":"Contacts","count":6},{"language":"default","tag":"Webhooks","count":6},{"language":"default","tag":"Core Concepts","count":5},{"language":"default","tag":"Guides","count":5},{"language":"default","tag":"Tools","count":5},{"language":"default","tag":"Calls","count":4}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/agents/create-agent-call","slug":"/api-reference/agents/create-agent-call","pageMetadata":{"title":"Create Agent Call","description":"Create a call using this agent's full configuration.\n\nInherits all settings (prompt, voice, tools, call window, retry, etc.)\nfrom the agent. Optional ``config`` overrides take highest priority.\n\nEquivalent to ``POST /persona-calls`` with ``persona_id`` set to this\nagent's ID.","deprecated":null,"version":null,"openapi":"/openapi.json post /agents/{agent_id}/calls","href":"/api-reference/agents/create-agent-call","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Create a call using this agent’s full configuration.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Inherits all settings (prompt, voice, tools, call window, retry, etc.)\\nfrom the agent. Optional \", _jsx(_components.code, {\n children: \"config\"\n }), \" overrides take highest priority.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Equivalent to \", _jsx(_components.code, {\n children: \"POST /persona-calls\"\n }), \" with \", _jsx(_components.code, {\n children: \"persona_id\"\n }), \" set to this\\nagent’s ID.\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Agent Call","description":"Create a call using this agent's full configuration.\n\nInherits all settings (prompt, voice, tools, call window, retry, etc.)\nfrom the agent. Optional ``config`` overrides take highest priority.\n\nEquivalent to ``POST /persona-calls`` with ``persona_id`` set to this\nagent's ID.","deprecated":null,"version":null,"openapi":"/openapi.json post /agents/{agent_id}/calls","href":"/api-reference/agents/create-agent-call","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Agents"],"summary":"Create Agent Call","description":"Create a call using this agent's full configuration.\n\nInherits all settings (prompt, voice, tools, call window, retry, etc.)\nfrom the agent. Optional ``config`` overrides take highest priority.\n\nEquivalent to ``POST /persona-calls`` with ``persona_id`` set to this\nagent's ID.","operationId":"create_agent_call_agents__agent_id__calls_post","security":["06e8373b-d8a6-4710-8b11-114f044a8285"],"parameters":["0e762102-cdda-4768-ba81-bff1511e0794"],"requestBody":"21d13c9f-26bf-4f35-a61a-7c8aa6d0ae5a","responses":{"202":"409deda1-8450-486e-ad7a-cedd7fe789ac","401":"4638e5e8-b503-4337-809a-832f531786b5","404":"337d66dd-29b7-4574-a512-e8610f841b04","422":"68172412-4b95-46ba-9a38-5fde4155be37"},"method":"post","type":"path","servers":["fb4503e1-75c0-486a-a896-6102f2d0cb18"],"path":"/agents/{agent_id}/calls","baseUrlOptions":["https://api.kejue.co/api/v1"],"title":"Create Agent Call","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"0e762102-cdda-4768-ba81-bff1511e0794":{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","title":"Agent Id","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"contact_id":{"oneOf":[{"type":"string","title":"Contact Id","description":"Existing contact ID","uniqueKey":"contact_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Contact Id","description":"Existing contact ID","uniqueKey":"contact_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"contact_id","typeLabel":"string | null"},"contact":{"oneOf":[{"type":"object","title":"ContactInput","description":"New contact to create inline","required":["phone"],"properties":{"phone":{"type":"string","title":"Phone","description":"Phone number (E.164 recommended)","isRequired":true,"uniqueKey":"contact.oneOf.0.phone","typeLabel":"string"},"whatsapp_number":{"oneOf":[{"type":"string","title":"Whatsapp Number","description":"WhatsApp number (E.164)","uniqueKey":"contact.oneOf.0.whatsapp_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Whatsapp Number","description":"WhatsApp number (E.164)","uniqueKey":"contact.oneOf.0.whatsapp_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"contact.oneOf.0.whatsapp_number","typeLabel":"string | null"},"email":{"oneOf":[{"type":"string","title":"Email","description":"Email address","uniqueKey":"contact.oneOf.0.email.oneOf.0","typeLabel":"string"},{"type":"null","title":"Email","description":"Email address","uniqueKey":"contact.oneOf.0.email.oneOf.1","typeLabel":"null"}],"uniqueKey":"contact.oneOf.0.email","typeLabel":"string | null"},"first_name":{"oneOf":[{"type":"string","title":"First Name","description":"First name","uniqueKey":"contact.oneOf.0.first_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"First Name","description":"First name","uniqueKey":"contact.oneOf.0.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"contact.oneOf.0.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","title":"Last Name","description":"Last name","uniqueKey":"contact.oneOf.0.last_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Last Name","description":"Last name","uniqueKey":"contact.oneOf.0.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"contact.oneOf.0.last_name","typeLabel":"string | null"},"company":{"oneOf":[{"type":"string","title":"Company","description":"Company name","uniqueKey":"contact.oneOf.0.company.oneOf.0","typeLabel":"string"},{"type":"null","title":"Company","description":"Company name","uniqueKey":"contact.oneOf.0.company.oneOf.1","typeLabel":"null"}],"uniqueKey":"contact.oneOf.0.company","typeLabel":"string | null"},"job_title":{"oneOf":[{"type":"string","title":"Job Title","description":"Job title","uniqueKey":"contact.oneOf.0.job_title.oneOf.0","typeLabel":"string"},{"type":"null","title":"Job Title","description":"Job title","uniqueKey":"contact.oneOf.0.job_title.oneOf.1","typeLabel":"null"}],"uniqueKey":"contact.oneOf.0.job_title","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","description":"ISO country code (auto-deduced from phone if omitted)","uniqueKey":"contact.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","description":"ISO country code (auto-deduced from phone if omitted)","uniqueKey":"contact.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"contact.oneOf.0.country","typeLabel":"string | null"},"timezone":{"oneOf":[{"type":"string","title":"Timezone","description":"IANA timezone (auto-deduced from phone if omitted)","uniqueKey":"contact.oneOf.0.timezone.oneOf.0","typeLabel":"string"},{"type":"null","title":"Timezone","description":"IANA timezone (auto-deduced from phone if omitted)","uniqueKey":"contact.oneOf.0.timezone.oneOf.1","typeLabel":"null"}],"uniqueKey":"contact.oneOf.0.timezone","typeLabel":"string | null"},"language":{"oneOf":[{"type":"string","title":"Language","description":"Language code (auto-deduced from phone if omitted)","uniqueKey":"contact.oneOf.0.language.oneOf.0","typeLabel":"string"},{"type":"null","title":"Language","description":"Language code (auto-deduced from phone if omitted)","uniqueKey":"contact.oneOf.0.language.oneOf.1","typeLabel":"null"}],"uniqueKey":"contact.oneOf.0.language","typeLabel":"string | null"},"tags":{"items":{"type":"string","uniqueKey":"contact.oneOf.0.tags.items.[INDEX]","typeLabel":"string"},"type":"array","title":"Tags","description":"Tags for the contact","uniqueKey":"contact.oneOf.0.tags","typeLabel":"string[]"},"metadata":{"additionalProperties":true,"type":"object","title":"Metadata","description":"Custom key-value metadata","uniqueKey":"contact.oneOf.0.metadata","typeLabel":"Metadata · object"}},"uniqueKey":"contact.oneOf.0","typeLabel":"ContactInput · object"},{"type":"null","description":"New contact to create inline","uniqueKey":"contact.oneOf.1","typeLabel":"null"}],"uniqueKey":"contact","typeLabel":"ContactInput · object | null"},"agent_id":{"oneOf":[{"type":"string","title":"Agent Id","description":"Voice config ID","uniqueKey":"agent_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Agent Id","description":"Voice config ID","uniqueKey":"agent_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent_id","typeLabel":"string | null"},"phone_number_id":{"oneOf":[{"type":"string","title":"Phone Number Id","description":"Pin a specific origin phone number","uniqueKey":"phone_number_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Phone Number Id","description":"Pin a specific origin phone number","uniqueKey":"phone_number_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"phone_number_id","typeLabel":"string | null"},"schedule_at":{"oneOf":[{"type":"string","title":"Schedule At","description":"Schedule for later (ISO 8601)","uniqueKey":"schedule_at.oneOf.0","typeLabel":"string"},{"type":"null","title":"Schedule At","description":"Schedule for later (ISO 8601)","uniqueKey":"schedule_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"schedule_at","typeLabel":"string | null"},"priority":{"type":"integer","maximum":100,"minimum":0,"title":"Priority","description":"Queue priority","default":50,"uniqueKey":"priority","typeLabel":"integer"},"config":{"oneOf":[{"type":"object","title":"Config","description":"Overrides on top of the agent's config","additionalProperties":true,"uniqueKey":"config.oneOf.0","typeLabel":"Config · object"},{"type":"null","title":"Config","description":"Overrides on top of the agent's config","uniqueKey":"config.oneOf.1","typeLabel":"null"}],"uniqueKey":"config","typeLabel":"Config · object | null"},"external_reference":{"oneOf":[{"type":"string","title":"External Reference","description":"External tracking ID","maxLength":255,"uniqueKey":"external_reference.oneOf.0","typeLabel":"string"},{"type":"null","title":"External Reference","description":"External tracking ID","uniqueKey":"external_reference.oneOf.1","typeLabel":"null"}],"uniqueKey":"external_reference","typeLabel":"string | null"},"context":{"oneOf":[{"type":"object","title":"Context","description":"Template variables","additionalProperties":true,"uniqueKey":"context.oneOf.0","typeLabel":"Context · object"},{"type":"null","title":"Context","description":"Template variables","uniqueKey":"context.oneOf.1","typeLabel":"null"}],"uniqueKey":"context","typeLabel":"Context · object | null"}},"type":"object","title":"AgentCallRequest","description":"Create a call using an agent's full configuration.","uniqueKey":"","typeLabel":"AgentCallRequest · object"},"examples":{"Example":{"title":"Example","value":{"contact_id":"\u003cstring>","contact":{"phone":"\u003cstring>","whatsapp_number":"\u003cstring>","email":"\u003cstring>","first_name":"\u003cstring>","last_name":"\u003cstring>","company":"\u003cstring>","job_title":"\u003cstring>","country":"\u003cstring>","timezone":"\u003cstring>","language":"\u003cstring>","tags":["\u003cstring>"],"metadata":{}},"agent_id":"\u003cstring>","phone_number_id":"\u003cstring>","schedule_at":"\u003cstring>","priority":50,"config":{},"external_reference":"\u003cstring>","context":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"409deda1-8450-486e-ad7a-cedd7fe789ac":{"description":"Successful Response","content":{"application/json":{"schema":{}}},"exampleType":"generated"},"4638e5e8-b503-4337-809a-832f531786b5":{"description":"Missing or invalid API key. Pass a workspace API key in the `X-API-Key` header.","content":{"application/json":{"example":{"error":"Invalid or missing API key","code":"UNAUTHORIZED","details":{}},"schema":{"properties":{"error":{"type":"string","title":"Error","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","title":"Code","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"details":{"oneOf":[{"type":"object","title":"Details","additionalProperties":true,"uniqueKey":"details.oneOf.0","typeLabel":"Details · object"},{"type":"null","title":"Details","uniqueKey":"details.oneOf.1","typeLabel":"null"}],"uniqueKey":"details","typeLabel":"Details · object | null"}},"type":"object","required":["error","code"],"title":"ErrorResponse","description":"Standard error response.","example":{"code":"NOT_FOUND","details":{"contact_id":"123"},"error":"Contact not found"},"uniqueKey":"","typeLabel":"ErrorResponse · object"},"examples":{"Example":{"title":"Example","value":{"error":"Invalid or missing API key","code":"UNAUTHORIZED","details":{}}}},"exampleType":"examples"}},"exampleType":"examples"},"337d66dd-29b7-4574-a512-e8610f841b04":{"description":"Agent not found in this workspace.","content":{"application/json":{"example":{"error":"Agent not found","code":"NOT_FOUND","details":{"agent_id":"non_existent_id"}},"schema":{"properties":{"error":{"type":"string","title":"Error","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","title":"Code","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"details":{"oneOf":[{"type":"object","title":"Details","additionalProperties":true,"uniqueKey":"details.oneOf.0","typeLabel":"Details · object"},{"type":"null","title":"Details","uniqueKey":"details.oneOf.1","typeLabel":"null"}],"uniqueKey":"details","typeLabel":"Details · object | null"}},"type":"object","required":["error","code"],"title":"ErrorResponse","description":"Standard error response.","example":{"code":"NOT_FOUND","details":{"contact_id":"123"},"error":"Contact not found"},"uniqueKey":"","typeLabel":"ErrorResponse · object"},"examples":{"Example":{"title":"Example","value":{"error":"Agent not found","code":"NOT_FOUND","details":{"agent_id":"non_existent_id"}}}},"exampleType":"examples"}},"exampleType":"examples"},"68172412-4b95-46ba-9a38-5fde4155be37":{"description":"Request body or query parameters failed validation.","content":{"application/json":{"example":{"error":"Validation failed","code":"VALIDATION_ERROR","details":{"errors":[{"field":"body.name","message":"Field required","type":"missing"}]}},"schema":{"properties":{"error":{"type":"string","title":"Error","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","title":"Code","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"details":{"oneOf":[{"type":"object","title":"Details","additionalProperties":true,"uniqueKey":"details.oneOf.0","typeLabel":"Details · object"},{"type":"null","title":"Details","uniqueKey":"details.oneOf.1","typeLabel":"null"}],"uniqueKey":"details","typeLabel":"Details · object | null"}},"type":"object","required":["error","code"],"title":"ErrorResponse","description":"Standard error response.","example":{"code":"NOT_FOUND","details":{"contact_id":"123"},"error":"Contact not found"},"uniqueKey":"","typeLabel":"ErrorResponse · object"},"examples":{"Example":{"title":"Example","value":{"error":"Validation failed","code":"VALIDATION_ERROR","details":{"errors":[{"field":"body.name","message":"Field required","type":"missing"}]}}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"06e8373b-d8a6-4710-8b11-114f044a8285":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Workspace API key (e.g. `kej_live_...`)","scopes":[]}}},"servers":{"fb4503e1-75c0-486a-a896-6102f2d0cb18":{"url":"https://api.kejue.co/api/v1","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Workspace API key (e.g. `kej_live_...`)","scopes":[]},"schema":{"title":"X-API-Key","type":"string","description":"Workspace API key (e.g. `kej_live_...`)","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"X-API-Key"}],"title":"ApiKeyAuth"}]},"originalFileLocation":"openapi.json"},"subdomain":"kejue","siteName":"Kejue","title":"Create Agent Call - Kejue","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-05-29T10:12:53.850Z","originalFileLocation":"api-reference/agents/create-agent-call.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create a call using this agent\u0026#x27;s full configuration. Inherits all settings (prompt, voice, tools, call window, retry, etc.) from the agent. Optional config overrides take highest priority. Equivalent to POST /persona-calls with persona_id set to this agent\u0026#x27;s ID.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Kejue\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/kejue/iFx7a1lkBRv0Dv_3/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/kejue/iFx7a1lkBRv0Dv_3/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/kejue/iFx7a1lkBRv0Dv_3/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/kejue/iFx7a1lkBRv0Dv_3/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/kejue/iFx7a1lkBRv0Dv_3/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/kejue/iFx7a1lkBRv0Dv_3/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/kejue/iFx7a1lkBRv0Dv_3/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/kejue/iFx7a1lkBRv0Dv_3/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/kejue/iFx7a1lkBRv0Dv_3/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Agent Call - Kejue\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create a call using this agent\u0026#x27;s full configuration. Inherits all settings (prompt, voice, tools, call window, retry, etc.) from the agent. Optional config overrides take highest priority. Equivalent to POST /persona-calls with persona_id set to this agent\u0026#x27;s ID.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Kejue\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.kejue.co/api-reference/agents/create-agent-call\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://kejue.mintlify.app/_mintlify/api/og/v2?division=Agents\u0026amp;title=Create+Agent+Call\u0026amp;description=Create+a+call+using+this+agent%27s+full+configuration.%0A%0AInherits+all+settings+%28prompt%2C+voice%2C+tools%2C+call+window%2C+retry%2C+etc.%29%0Afrom+the+agent.+Optional+%60%60config%60%60\u0026amp;theme=6decaf86883fbea8aa860731\u0026amp;signature=5e1b2ab04c992663afc54c8f8bb1ce0e09e4bb1d46ce6e981325b1d892286444\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Agent Call - Kejue\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create a call using this agent\u0026#x27;s full configuration. Inherits all settings (prompt, voice, tools, call window, retry, etc.) from the agent. Optional config overrides take highest priority. Equivalent to POST /persona-calls with persona_id set to this agent\u0026#x27;s ID.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://kejue.mintlify.app/_mintlify/api/og/v2?division=Agents\u0026amp;title=Create+Agent+Call\u0026amp;description=Create+a+call+using+this+agent%27s+full+configuration.%0A%0AInherits+all+settings+%28prompt%2C+voice%2C+tools%2C+call+window%2C+retry%2C+etc.%29%0Afrom+the+agent.+Optional+%60%60config%60%60\u0026amp;theme=6decaf86883fbea8aa860731\u0026amp;signature=5e1b2ab04c992663afc54c8f8bb1ce0e09e4bb1d46ce6e981325b1d892286444\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/kejue/iFx7a1lkBRv0Dv_3/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Kejue\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#E8663C\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.kejue.co/api-reference/agents/create-agent-call\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/agents/create-agent-call.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.kejue.co/#organization\",\"name\":\"Kejue\",\"url\":\"https://docs.kejue.co\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/kejue/2ObUTjaQylFOQGjC/logo/light.png?fit=max\u0026auto=format\u0026n=2ObUTjaQylFOQGjC\u0026q=85\u0026s=dfd84fd35a10607080f795c7b1623704\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.kejue.co#website\",\"name\":\"Kejue\",\"url\":\"https://docs.kejue.co\",\"publisher\":{\"@id\":\"https://docs.kejue.co/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.kejue.co/api-reference/agents/create-agent-call#webpage\",\"url\":\"https://docs.kejue.co/api-reference/agents/create-agent-call\",\"name\":\"Create Agent Call\",\"description\":\"Create a call using this agent's full configuration. Inherits all settings (prompt, voice, tools, call window, retry, etc.) from the agent. Optional config overrides take highest priority. Equivalent to POST /persona-calls with persona_id set to this agent's ID.\",\"dateModified\":\"2026-05-29T10:12:53.850Z\",\"isPartOf\":{\"@id\":\"https://docs.kejue.co#website\"},\"breadcrumb\":{\"@id\":\"https://docs.kejue.co/api-reference/agents/create-agent-call#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.kejue.co/api-reference/agents/create-agent-call#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Agents\",\"item\":\"https://docs.kejue.co/api-reference/agents/list-agents\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create Agent Call\",\"item\":\"https://docs.kejue.co/api-reference/agents/create-agent-call\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.kejue.co/api-reference/agents/create-agent-call#apireference\",\"headline\":\"Create Agent Call\",\"name\":\"Create Agent Call\",\"description\":\"Create a call using this agent's full configuration. Inherits all settings (prompt, voice, tools, call window, retry, etc.) from the agent. Optional config overrides take highest priority. Equivalent to POST /persona-calls with persona_id set to this agent's ID.\",\"url\":\"https://docs.kejue.co/api-reference/agents/create-agent-call\",\"mainEntityOfPage\":{\"@id\":\"https://docs.kejue.co/api-reference/agents/create-agent-call#webpage\"},\"dateModified\":\"2026-05-29T10:12:53.850Z\",\"publisher\":{\"@id\":\"https://docs.kejue.co/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.kejue.co#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Kejue\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Kejue","nav":{"global":null,"tabs":[{"tab":"Documentation","icon":"book","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","icon":"square-terminal","groups":[{"group":"Agents","pages":[{"title":"List Agents","deprecated":null,"version":null,"openapi":"/openapi.json get /agents","href":"/api-reference/agents/list-agents"},{"title":"Create Agent","deprecated":null,"version":null,"openapi":"/openapi.json post /agents","href":"/api-reference/agents/create-agent"},{"title":"Get Agent","deprecated":null,"version":null,"openapi":"/openapi.json get /agents/{agent_id}","href":"/api-reference/agents/get-agent"},{"title":"Delete Agent","deprecated":null,"version":null,"openapi":"/openapi.json delete /agents/{agent_id}","href":"/api-reference/agents/delete-agent"},{"title":"Update Agent","deprecated":null,"version":null,"openapi":"/openapi.json patch /agents/{agent_id}","href":"/api-reference/agents/update-agent"},{"title":"List Voice Configs","deprecated":null,"version":null,"openapi":"/openapi.json get /agents/{agent_id}/voice-configs","href":"/api-reference/agents/list-voice-configs"},{"title":"Create Voice Config","deprecated":null,"version":null,"openapi":"/openapi.json post /agents/{agent_id}/voice-configs","href":"/api-reference/agents/create-voice-config"},{"title":"Delete Voice Config","deprecated":null,"version":null,"openapi":"/openapi.json delete /agents/{agent_id}/voice-configs/{config_id}","href":"/api-reference/agents/delete-voice-config"},{"title":"Update Voice Config","deprecated":null,"version":null,"openapi":"/openapi.json patch /agents/{agent_id}/voice-configs/{config_id}","href":"/api-reference/agents/update-voice-config"},{"title":"List Agent Tools","deprecated":null,"version":null,"openapi":"/openapi.json get /agents/{agent_id}/tools","href":"/api-reference/agents/list-agent-tools"},{"title":"Attach Tool","deprecated":null,"version":null,"openapi":"/openapi.json post /agents/{agent_id}/tools","href":"/api-reference/agents/attach-tool"},{"title":"Detach Tool","description":"Detach a tool from an agent.","deprecated":null,"version":null,"openapi":"/openapi.json delete /agents/{agent_id}/tools/{tool_name}","href":"/api-reference/agents/detach-tool"},{"title":"Create Agent Call","deprecated":null,"version":null,"openapi":"/openapi.json post /agents/{agent_id}/calls","href":"/api-reference/agents/create-agent-call"}]},{"group":"Calls","pages":[{"title":"List Calls","description":"List calls with optional filters.\n\nSupports simple filters (status, contact_id, campaign_id, source) and\nadvanced filtering via the ``filters`` query parameter (JSON-encoded\narray of filter rules).","deprecated":null,"version":null,"openapi":"/openapi.json get /calls","href":"/api-reference/calls/list-calls"},{"title":"Create Call","deprecated":null,"version":null,"openapi":"/openapi.json post /calls","href":"/api-reference/calls/create-call"},{"title":"Get Call","deprecated":null,"version":null,"openapi":"/openapi.json get /calls/{job_id}","href":"/api-reference/calls/get-call"},{"title":"Inject Context","deprecated":null,"version":null,"openapi":"/openapi.json post /calls/{call_id}/inject-context","href":"/api-reference/calls/inject-context"}]},{"group":"Campaigns","pages":[{"title":"List Campaigns","deprecated":null,"version":null,"openapi":"/openapi.json get /campaigns","href":"/api-reference/campaigns/list-campaigns"},{"title":"Create Campaign","deprecated":null,"version":null,"openapi":"/openapi.json post /campaigns","href":"/api-reference/campaigns/create-campaign"},{"title":"Get Campaign","deprecated":null,"version":null,"openapi":"/openapi.json get /campaigns/{campaign_id}","href":"/api-reference/campaigns/get-campaign"},{"title":"Delete Campaign","deprecated":null,"version":null,"openapi":"/openapi.json delete /campaigns/{campaign_id}","href":"/api-reference/campaigns/delete-campaign"},{"title":"List Campaign Contacts","deprecated":null,"version":null,"openapi":"/openapi.json get /campaigns/{campaign_id}/contacts","href":"/api-reference/campaigns/list-campaign-contacts"},{"title":"List Campaign Calls","deprecated":null,"version":null,"openapi":"/openapi.json get /campaigns/{campaign_id}/calls","href":"/api-reference/campaigns/list-campaign-calls"},{"title":"Get Campaign Analytics","deprecated":null,"version":null,"openapi":"/openapi.json get /campaigns/{campaign_id}/analytics","href":"/api-reference/campaigns/get-campaign-analytics"},{"title":"Get Campaign Progress","deprecated":null,"version":null,"openapi":"/openapi.json get /campaigns/{campaign_id}/progress","href":"/api-reference/campaigns/get-campaign-progress"},{"title":"Start Campaign","deprecated":null,"version":null,"openapi":"/openapi.json post /campaigns/{campaign_id}/start","href":"/api-reference/campaigns/start-campaign"},{"title":"Pause Campaign","deprecated":null,"version":null,"openapi":"/openapi.json post /campaigns/{campaign_id}/pause","href":"/api-reference/campaigns/pause-campaign"},{"title":"Cancel Campaign","deprecated":null,"version":null,"openapi":"/openapi.json post /campaigns/{campaign_id}/cancel","href":"/api-reference/campaigns/cancel-campaign"}]},{"group":"Contacts","pages":[{"title":"List Contacts","deprecated":null,"version":null,"openapi":"/openapi.json get /contacts","href":"/api-reference/contacts/list-contacts"},{"title":"Create Contact","deprecated":null,"version":null,"openapi":"/openapi.json post /contacts","href":"/api-reference/contacts/create-contact"},{"title":"Bulk Create Contacts","deprecated":null,"version":null,"openapi":"/openapi.json post /contacts/bulk","href":"/api-reference/contacts/bulk-create-contacts"},{"title":"Get Contact","deprecated":null,"version":null,"openapi":"/openapi.json get /contacts/{contact_id}","href":"/api-reference/contacts/get-contact"},{"title":"Delete Contact","deprecated":null,"version":null,"openapi":"/openapi.json delete /contacts/{contact_id}","href":"/api-reference/contacts/delete-contact"},{"title":"Update Contact","deprecated":null,"version":null,"openapi":"/openapi.json patch /contacts/{contact_id}","href":"/api-reference/contacts/update-contact"}]},{"group":"Models","pages":[{"title":"List Models","deprecated":null,"version":null,"openapi":"/openapi.json get /models","href":"/api-reference/models/list-models"}]},{"group":"Persona Calls","pages":[{"title":"Create Persona Call","deprecated":null,"version":null,"openapi":"/openapi.json post /persona-calls","href":"/api-reference/persona-calls/create-persona-call"}]},{"group":"Phone Numbers","pages":[{"title":"List Phone Numbers","deprecated":null,"version":null,"openapi":"/openapi.json get /phone-numbers","href":"/api-reference/phone-numbers/list-phone-numbers"}]},{"group":"Tools","pages":[{"title":"List Tools","deprecated":null,"version":null,"openapi":"/openapi.json get /tools","href":"/api-reference/tools/list-tools"},{"title":"Create Tool","deprecated":null,"version":null,"openapi":"/openapi.json post /tools","href":"/api-reference/tools/create-tool"},{"title":"Get Tool","deprecated":null,"version":null,"openapi":"/openapi.json get /tools/{tool_id}","href":"/api-reference/tools/get-tool"},{"title":"Delete Tool","deprecated":null,"version":null,"openapi":"/openapi.json delete /tools/{tool_id}","href":"/api-reference/tools/delete-tool"},{"title":"Update Tool","deprecated":null,"version":null,"openapi":"/openapi.json patch /tools/{tool_id}","href":"/api-reference/tools/update-tool"}]},{"group":"Voices","pages":[{"title":"List Voices","deprecated":null,"version":null,"openapi":"/openapi.json get /voices","href":"/api-reference/voices/list-voices"}]},{"group":"Webhooks","pages":[{"title":"List Available Events","deprecated":null,"version":null,"openapi":"/openapi.json get /webhooks/events","href":"/api-reference/webhooks/list-available-events"},{"title":"List Webhooks","deprecated":null,"version":null,"openapi":"/openapi.json get /webhooks","href":"/api-reference/webhooks/list-webhooks"},{"title":"Create Webhook","deprecated":null,"version":null,"openapi":"/openapi.json post /webhooks","href":"/api-reference/webhooks/create-webhook"},{"title":"Get Webhook","deprecated":null,"version":null,"openapi":"/openapi.json get /webhooks/{webhook_id}","href":"/api-reference/webhooks/get-webhook"},{"title":"Delete Webhook","deprecated":null,"version":null,"openapi":"/openapi.json delete /webhooks/{webhook_id}","href":"/api-reference/webhooks/delete-webhook"},{"title":"Update Webhook","deprecated":null,"version":null,"openapi":"/openapi.json patch /webhooks/{webhook_id}","href":"/api-reference/webhooks/update-webhook"}]}]}]},"basePath":"","title":"Create Agent Call - Kejue","buildId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","deploymentId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DX1Meug0.js","utils-B_OMIQVC.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-ChxhRPMa.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CuKvD8Iv.js","snippetPresets-C5d7p2hp.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CfHcE8m4.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C1zZV314.js","shallow-CmQhqCJn.js","getApiPlaygroundDisplay-YRo9s1O7.js","CodeSnippet-RN1MTdfk.js","CodeSnippets-DKLPHxJA.js","Page-BAvA99GL.js","getPastedJson-bz0M41mU.js","icon-CsmhpPrv.js","MethodPill-CNGsVE77.js","DuplicateIcon-DilfU_Z2.js","createIcon-BdsYzQck.js","DynamicMarkdown-CbqEDjbV.js","SectionHeading-O6hXpFCN.js","axios-vUo_bRtp.js","Markdown-nKm-uidQ.js","clsx-ClVdStUn.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CIQkMg3R.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-ImrFS4Fy.js"]}